# 1.0.0-beta or whatever there to 1.1.0

### Change Log

Koel 1.1 comes with lots of changes, most of them are (hopefully) improvements:

* Integration with Last.fm
* Better mobile experience
* Support for nginx X-Accel-Redirect added
* Support for AAC added (experimental)
* Streaming method configuration is now explicit
* Various bug fixes, optimizations, and enhancements

### Steps to Upgrade

#### 0. Back up 

Back up your installation of Koel, including application files and database dump. Verify it. And verify it again.

#### 1. Get the latest code

``` bash
git fetch --all
git checkout v1.1.2
```

#### 2. Upgrade Laravel, install packages, and migrate database

Laravel has been updated from 5.1 to 5.2 to make use of some new awesome features. To adapt the changes, run the following commands:

``` bash
composer install
php artisan migrate --force
```

#### 3. Compile Koel’s client

``` bash
npm update
NODE_ENV=production
gulp --production
```

#### 4. Integrate with Last.fm (Optional)

Starting from 1.1, Koel can be configured to integrate with Last.fm and retrieve interesting information about the current playing song – artist bio, album cover and track listing, track interaction and scrobbling etc. In order to start using these functionalities, just [create a Last.fm API account](http://www.last.fm/api/account/create) and fill the credentials into `.env`, namely these two variables:

```
LASTFM_API_KEY=
LASTFM_API_SECRET=
```

Afterwards you can connect your Last.fm account with Koel from the Profile page.

#### 5. Set your streaming method (Optional)

The first version of Koel automatically detects the availability of `mod_xsendfile` module and prefers it over native PHP’s `sendfile` for streaming. To prevent possible problems originating from Apache configuration errors, this behavior has been removed. You will now need to explicitly set a streaming method in `.env` file for any other than `php`:

```
# The streaming method.
# Can be either 'php' (default), 'x-sendfile', or 'x-accel-redirect'
# See https://github.com/phanan/koel/wiki#streaming-music for more information.
STREAMING_METHOD=php
```

### Things went south?

Just restore the previous installation from the backup volume created in step 0. You completed the step, did you not? Did you not?
